{% load static %}
<!DOCTYPE html>
<html lang="es-gt">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link  type="text/css" href="{% static '/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@24,400,0,0" />
    
    {% block link %}{% endblock link %}

    <title>{% block title %}{% endblock title %}</title>
</head>
<body>
    
    <header>
        <nav class="navbar navbar-expand-lg bg-body-tertiary shadow mb-5" id="inicio">

            <div class="container-fluid">
                <button class="navbar-toggler text-white" type="button" data-bs-toggle="collapse" data-bs-target="#navbarScroll" aria-controls="navbarScroll" aria-expanded="false" aria-label="Toggle navigation">
                    =
                </button>
                <div class="collapse navbar-collapse" id="navbarScroll">
                    <ul class="navbar-nav me-auto my-2 my-lg-0 navbar-nav-scroll" style="--bs-scroll-height: 100px;">
                        <li class="nav-item">
                            <a class="nav-link txt-center nav-item" style="text-decoration: none;color: gray;" href="/">INICIO</a>
                        </li>
                    </ul>
                    {% if user.is_authenticated %}
                    <div class="dropdown" style="padding-right:70px;">
                        <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {{user}}
                        </button>
                        <div class="dropdown-menu">
                        {% if user.is_superuser or user.is_staff %}
                        <a class="dropdown-item" href="/admin/">Administrador</a>
                        
                        {% endif %}
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="{% url 'logout' %}">Cerrar sesión</a>
                        </div>
                    </div>
                    {% else %}
                    <div class="dropdown" style="padding-right:70px;">
                        <button type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                            Cuenta
                        </button>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="{% url 'login' %}">Iniciar sesión</a>
                        </div>
                    </div>
                    {% endif %}
                </div>
            </div>  
        </nav>
    </header>
    <main class="container">{% block main %}{% endblock main %}</main>
    <footer></footer>
    
    <script>{% block script %}{% endblock script %}</script>
    <script src="{% static 'bootstrap/js/bootstrap.bundle.min.js' %}"></script>
    <script src="{% static 'bootstrap/js/bootstrap.min.js' %}"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>